using Azure;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AipGateway.Data.Entities
{
    [Table("TB_AIP_POLICY")]
    public class TbAipPolicy
    {
        [Key]
        public required int PolicyId { get; set; }

        [StringLength(255)]
        public required string PolicyGuid { get; set; }

        [StringLength(255)]
        public required string PolicyName { get; set; }
        

        public required DateTime CreatedAt { get; set; }
        public required bool UseYn { get; set; }
        
        [StringLength(512)]
        public string? PolicyDesc { get; set; }
        public DateTime? DeletedAt { get; set; }

        public override string ToString()
        {
            return "TbAipPolicy{ PolicyId: " + PolicyId + ", PolicyGuid: " + PolicyGuid + ", PolicyName: " + PolicyName + ", CreatedAt: " + CreatedAt + "}";
        }
    }
}
